function vs = A3(v, vp)
#
# Dreigliedrige Approximation
#
# Input  v   Spaltenvektor mit Geschwindigkeiten
#        vp  Polgeschwindigkeit
# Output vs  Approximationsfunktionen
#               vs(:, 1) = v^3
#               vs(:, 2) = 1 / v
#               vs(:, 3) = ((v^2 * vp^2)/(vp^2 - v^2))^2 * v^3
#
# ---------------------------------------------------------------------

   vq  = v.^2;
   vpq = vp^2;
   a   = vq * vpq ./ (vpq - vq);
   v3  = vq .* v;

   vs  = [ v3 , 1 ./ v, a.^2 .* v3 ];

end
